2020-06-05 14:18 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002623LibDOM[All Projects] Generalpublic2020-05-27 09:23
ReporterJ. Peter Mugaas 
Assigned ToDaniel Silverstone 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformmingw-w64OSWindowsOS Version10 64-bit
Summary0002623: libdom is unusable - include/dom/inttypes.h
DescriptionI was trying to compile libDOM for Windows and I found that include/dom/inttypes.h but that failed because #include <inttypes.h> wasn't including the standard types. In windows, they are included in <stdint.h> so I am providing a patch that fixes this.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
Attached Files
  • patch file icon intypes_include.patch (377 bytes) 2018-09-27 23:12 -
    --- libdom-0.3.3/include/dom/inttypes.h.orig	2018-09-27 00:40:34.657363000 -0400
    +++ libdom-0.3.3/include/dom/inttypes.h	2018-09-27 00:41:18.327647700 -0400
    @@ -8,7 +8,11 @@
     #ifndef dom_inttypes_h_
     #define dom_inttypes_h_
     
    +#ifdef _WIN32
    +#include <stdint.h>
    +#else
     #include <inttypes.h>
    +#endif
     
     /**
      * The IDL spec(2nd ed) 3.10.5 defines a short type with 16bit range
    
    patch file icon intypes_include.patch (377 bytes) 2018-09-27 23:12 +

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0001882

Daniel Silverstone (administrator)

Thank you for this. We have switched the include on all platforms rather than just on WIN32.

Well spotted.
Vincent Sanders

~0002260

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2018-09-27 23:12 J. Peter Mugaas New Issue
2018-09-27 23:12 J. Peter Mugaas File Added: intypes_include.patch
2019-02-16 17:59 Daniel Silverstone Assigned To => Daniel Silverstone
2019-02-16 17:59 Daniel Silverstone Status new => resolved
2019-02-16 17:59 Daniel Silverstone Resolution open => fixed
2019-02-16 17:59 Daniel Silverstone Note Added: 0001882
2020-05-27 09:23 Vincent Sanders Status resolved => closed
2020-05-27 09:23 Vincent Sanders Note Added: 0002260
+Issue History